## mx4j.tools.heartbeat
Class HeartBeat

    java.lang.Object
      mx4j.tools.heartbeat.HeartBeat

All Implemented Interfaces:
  HeartBeatMBean

public class HeartBeat
extends java.lang.Object
implements HeartBeatMBean

Version:
  $Revision: 1.8 $

Field Summary

Fields inherited from interface mx4j.tools.heartbeat.HeartBeatMBean
`DEFAULT_PERIOD, DEFAULT_RETRIES, HEARTBEAT_OBJECT_NAME, IIOP_TYPE, PERIOD_PROP, RMI_TYPE, TRIES_PROP`

Constructor Summary
`HeartBeat(java.lang.String name)`

Method Summary
`void` `addHeartBeatListener(java.lang.String listenerName, java.lang.Object connectorType, java.lang.Object listenerAddress)` Adds the specified heartbeat listener to receive heartbeat notifications from this HeartBeatMBean.
`int` `getPeriod()`
`int` `getRetries()`
`void` `removeHeartBeatListener(java.lang.String heartBeatListenerName)` Removes the specified heartbeat listener so that it no longer receives heartbeat notifications from this HeartBeatMBean.
`void` `setPeriod(int period)`
`void` `setRetries(int nretries)`
`void` `start()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeartBeat

    public HeartBeat(java.lang.String name)

Method Detail

### start

    public void start()

### stop

    public void stop()

### addHeartBeatListener

    public void addHeartBeatListener(java.lang.String listenerName,
                                     java.lang.Object connectorType,
                                     java.lang.Object listenerAddress)

  Adds the specified heartbeat listener to receive heartbeat notifications from this HeartBeatMBean.

  Specified by:
    `addHeartBeatListener` in interface `HeartBeatMBean`

### removeHeartBeatListener

    public void removeHeartBeatListener(java.lang.String heartBeatListenerName)

  Removes the specified heartbeat listener so that it no longer receives heartbeat notifications from this HeartBeatMBean.

  Specified by:
    `removeHeartBeatListener` in interface `HeartBeatMBean`

### getPeriod

    public int getPeriod()

### setPeriod

    public void setPeriod(int period)

### getRetries

    public int getRetries()

### setRetries

    public void setRetries(int nretries)

Copyright © 2001-2003 MX4J Team. All Rights Reserved.